#
# spec file for package python3-django-inplaceedit
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-inplaceedit
Version:        1.3.0
Release:        2.6
Url:            https://github.com/Yaco-Sistemas/django-inplaceedit
Summary:        Django Application That Allows for Inline Editing of Some Data
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-inplaceedit/django-inplaceedit-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-django
BuildRequires:  python3-setuptools
Requires:       python3-django
BuildArch:      noarch

%description
Inplace Edit Form is a Django application that allows you to edit some data
from the database inline.


%prep
%setup -q -n django-inplaceedit-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst CHANGES.rst COPYING.LGPLv3 README.rst
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
* Sun Dec 14 2014 arun@gmx.de
- specfile:
  * update copyright year
  * update url
- update to versin 1.3.0:
  * Improvements in the travis file
  * Improvements in the testing project and in the tests
  * Support to python2.6 (this was not supported from
    django-inplaceedit>=0.96 to django-inplaceedit<=1.2.6)
  * Thanks to: Pavel Nedrigaylov
* Wed Oct 23 2013 toddrme2178@gmail.com
- Add BuildRequires:  python3-django
* Fri Sep 27 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Sep 27 2013 p.drouand@gmail.com
- Update to version 1.2.6
  + Fix an error in the default of the INPLACE_ENABLE_CLASS
  + Fix litte error in the documentation
  + Improvements in the testing project, before transmeta was required
- Remove redundant %%clean section and useless CFLAGS export
* Mon Feb 18 2013 p.drouand@gmail.com
- Update to version 0.90:
  * Now works with jQuery 1.9
* Tue Nov 13 2012 jfunk@funktronics.ca
- Update to 0.89:
  * Fix a problem when the model that you are editing had a Generic Foreign
    key
  * Thanks to Altimore
  0.88 (2012-10-05)
  * Add to default parameter to inplace_css
  * Translate to the string: "You have unsaved changes!"
  * Fix a problem with the treatment of the sizes
  * INPLACEEDIT_EDIT_EMPTY_VALUE settings
  * Thanks to:
  * Tobias Birmili
  * Altimore
  0.87 (2012-09-05)
  * Add callback to onbeforeunload
  * Refactor the jquery.inplaceeditform.js
  * Now is not required the ADMIN_MEDIA_PREFIX in the settings, but this is
    backward compatible
  * New options to the settings: DEFAULT_INPLACE_EDIT_OPTIONS and
    DEFAULT_INPLACE_EDIT_OPTIONS_ONE_BY_ONE
  * Thanks to:
  * Tobias Birmili
  * Serpah
  * And spatially to Altimore
  0.86 (2012-08-21)
  * Toolbar to edit inplace
  * Auto save option
  * New JS hook (extraConfig)
  * Now you can choose the event to edit inplace, by default is doble click
  * Now when you edit inline the input (or select) get the focus
  * Now while there is a ajax request cannot do other ajax request to the same
    element
  * Update the way to get the CSFRToken
  * JSLint to jquery.inplaceeditform.js (There were some errors still)
  * Refactor and remove little errors
  * Refactor the css files
  0.85 (2012-08-09)
  * A strange error with buildout
  * I'm sorry but I removed the package by mistake
  0.84 (2012-08-09)
  * Move the repository to github
* Wed May 23 2012 jfunk@funktronics.ca
- Update to 0.83
  * Now django-inplaceedit managing static files (backward compatible)
* Tue Mar 20 2012 jfunk@funktronics.ca
- Update to 0.82:
  * Fix a error when a field contained "_id"
* Wed Jan 25 2012 jfunk@funktronics.ca
- Update to 0.81:
  * A little error in AdminDjangoPermEditInline
* Tue Jan 24 2012 jfunk@funktronics.ca
- Update to 0.80:
  * More robust when a user can edit a content
  * SuperUserPermEditInline, before was a logic, and you can not inherit.
  * AdminDjangoPermEditInline, a logic very useful. Thanks to Raimon
* Thu Jan 12 2012 jfunk@funktronics.ca
- Update to 0.79:
  * Messages configurables and translatables in the settings
- 0.78:
  * Messages configurables in the settings
- 0.77:
  * Fixes a error in bolean adaptor
* Thu Dec  8 2011 jfunk@funktronics.ca
- Update to 0.76:
  - More robust
* Sat Nov 26 2011 jfunk@funktronics.ca
- Update to 0.75:
  - The resources dont't have dependencie of MEDIA_URL (in CSS file)
- 0.74
  - Usability: edit inline works when you submit the form
- 0.73
  - Image/File field compatibility with Django 1.1 (overwriting
    inplaceeditform/adaptor_file/inc.csrf_token.html) (Django 1.2 or above
    recommended)
- 0.72
  - Compatibility with jQuery 1.2 (jQuery 1.5 or above recommended)
  - Compatibility with Django 1.1 (Django 1.2 or above recommended)
- 0.71
  - Fixed error in 0.69 rendering text fields whose font size is not integer.
- 0.70
  - Catalonia translations, by Raimon Esteve
* Thu Aug 18 2011 alexandre@exatati.com.br
- Update to 0.69:
  - Compatible with the CSRF protection (CsrfViewMiddleware)
  - Improvement in the rendering of the widgets (better calculate
    the height and width)
  - More versatile the api
* Tue Aug 16 2011 alexandre@exatati.com.br
- Update to 0.68:
  - Update the README.
* Wed Jul 27 2011 jfunk@funktronics.ca
- Initial release
